Beiträge von HabdxchLieb

    Guten Abend,

    Ich hab jetzt schon viel rum probiert aber es will einfach nicht.. ich seh den Fehler auch nicht die Console gibt den Fehler in meiner SaveLocation Methode Zeile 27 aus aber ich wüsste nicht an was das liegen kann? Wenn ich den Server neustarte erscheint auch kein Ordner mit einer Config Datei im Plugins Ordner... danke für jede Hilfe!





    Meine Config Klasse:

    https://pastebin.com/j1vP0TEa


    Main Klasse

    https://pastebin.com/hPsy3Sxc


    Und hier nochmal die Command Klasse in der ich die Config erstelle

    https://pastebin.com/59k7XZtK


    Hier der Fehler in der Console:

    [17:35:36] [Server thread/INFO]: HabdxchLieb issued server command: /setup Lobby

    [17:35:36] [Server thread/ERROR]: null

    org.bukkit.command.CommandException: Unhandled exception executing command 'setup' in plugin SkyEvent_InvasionRS v1.0

    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:47) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:149) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at org.bukkit.craftbukkit.v1_16_R3.CraftServer.dispatchCommand(CraftServer.java:763) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.PlayerConnection.handleCommand(PlayerConnection.java:1788) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.PlayerConnection.c(PlayerConnection.java:1631) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.PlayerConnection.a(PlayerConnection.java:1584) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.PacketPlayInChat.a(PacketPlayInChat.java:47) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.PacketPlayInChat.a(PacketPlayInChat.java:1) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.PlayerConnectionUtils.lambda$0(PlayerConnectionUtils.java:19) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.TickTask.run(SourceFile:18) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.IAsyncTaskHandler.executeTask(SourceFile:144) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.IAsyncTaskHandlerReentrant.executeTask(SourceFile:23) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.IAsyncTaskHandler.executeNext(SourceFile:118) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.MinecraftServer.bb(MinecraftServer.java:942) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.MinecraftServer.executeNext(MinecraftServer.java:935) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.IAsyncTaskHandler.awaitTasks(SourceFile:127) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.MinecraftServer.sleepForTick(MinecraftServer.java:919) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.MinecraftServer.w(MinecraftServer.java:851) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at net.minecraft.server.v1_16_R3.MinecraftServer.lambda$0(MinecraftServer.java:164) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    at java.lang.Thread.run(Thread.java:834) [?:?]

    Caused by: java.lang.NullPointerException

    at de.habdxchlieb.utils.ConfigLocationUtil.saveLocation(ConfigLocationUtil.java:27) ~[?:?]

    at de.habdxchlieb.commands.CMD_Setup.onCommand(CMD_Setup.java:31) ~[?:?]

    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:45) ~[spigot.jar:2991-Spigot-018b9a0-f3f3094]

    ... 19 more



    Würde mich sehr freuen wenn mir da jemand hilft!

    LG. Thomas

    Nutze Debian 9


    Vorausgesetzt er nutzt Ubuntu. Bei Ubuntu müsstest du die php-Version außerdem noch genauer spezifizieren. Aktuell ist nämlich bereits php 8.


    Dann schick doch mal, was da passiert. Da muss doch irgendwas ausgegeben werden, was uns etwas mehr hilft als die Aussage "funktioniert nicht".

    Ausgegeben wird folgendes in Putty:


    Reading package lists... Done

    Building dependency tree

    Reading state information... Done

    The following NEW packages will be installed:

    php-mbstring

    0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.

    Need to get 0 B/5,058 B of archives.

    After this operation, 12.3 kB of additional disk space will be used.

    Selecting previously unselected package php-mbstring.

    (Reading database ... 91500 files and directories currently installed.)

    Preparing to unpack .../php-mbstring_1%3a7.0+49_all.deb ...

    Unpacking php-mbstring (1:7.0+49) ...

    Setting up php-mbstring (1:7.0+49) ...




    Aber wenn ich das ganze neugestartet hab und es wieder im Browser aufrufe ist die Meldung noch immer da :/

    Hey,

    ich verzweifle bei diesem Fehler... hab das ganze schon 4 mal neuinstalliert und es funktioniert noch immer nicht jedes mal wenn ich phpmyadmin aufrufe kommt der Fehler "The mbstring extension is missing. Please check your PHP configuration." Hab schon alles was ich im Netz gefunden hab ausprobiert es klappt noch immer nicht.. hoffe es kann mir wer helfen :/






    Zu den Daten:

    Root Server

    Php 7.0




    lg. Thomas